/* Hey EMACS -*- win32-c -*- */
/* $Id: detect.h 4389 2009-10-07 11:38:20Z kevin $ */

/*  libcalccables - link cable library, a part of the CalcForge project
 *  Copyright (C) 1999-2005  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __WIN32_DETECT_H__
#define __WIN32_DETECT_H__

#include <stdio.h>

#define WIN_9X	1
#define WIN_NT	2
#define WIN_64	4

int win32_check_os(void);

int win32_check_dha(void);
int win32_check_rwp(void);

int win32_check_libusb(void);

#endif
